# tys.fit_groups.link_products()

> Move products into the fit group; they then use its garment.

Source: https://docs.tryyoursize.com/reference/python/fit-groups-link-products/

*Method* · `tryyoursize`

Move products into the fit group; they then use its garment.

```python
def link_products(fit_group_id: str, *, product_ids: Iterable[str], idempotency_key: Optional[str] = None) -> FitGroup
```

## Parameters

- **`fit_group_id`** (`str`, required): The fit group ID.
- **`product_ids`** (`Iterable[str]`, required): Products to move into the group.
- **`idempotency_key`** (`Optional[str]`, optional, default `None`)

## Returns

`FitGroup`: The fit group.

## Example

**Python**

```python
tys.fit_groups.link_products(group["id"], product_ids=[white["id"]])
```

**Node.js**

```ts
await tys.fitGroups.linkProducts(group.id, { product_ids: [white.id] });
```

**cURL**

```bash
curl -X POST https://api.tryyoursize.com/v1/fit_groups/<fit_group_id>/products \
  -H "Authorization: Bearer $TRYYOURSIZE_SECRET_KEY" \
  -H "TYS-Version: 2026-10-25" \
  -H "Content-Type: application/json" \
  -d '{"product_ids":["<product_id>"]}'
```

## See also

- [fit_groups.link_products (HTTP API)](https://docs.tryyoursize.com/api/reference/operations/linkcatalogfitgroupproducts.md)
